package com.qmth.distributed.print.business.enums;

/**
 * @Description: 课程评价类型枚举
 * @Author: CaoZixuan
 * @Date: 2024-02-28
 */
public enum CourseEvaluationTypeEnum {
    DEFAULT("默认", "期末考试", "按阅卷功能模块里的卷面成绩计算", 0), CUSTOM("自定义", "自定义", "", 1);

    private final String type;

    private final String name;

    private final String value;

    private final int index;

    CourseEvaluationTypeEnum(String type, String name, String value, int index) {
        this.type = type;
        this.name = name;
        this.value = value;
        this.index = index;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }

    public int getIndex() {
        return index;
    }
}
